TERMKEY_SET_WAITTIME(3)

NAME
termkey_set_waittime, termkey_get_waittime - control the wait time for multibyte sequences

SYNOPSIS
#include <termkey.h>

void termkey_set_waittime(TermKey *tk, int msec);
int termkey_get_waittime(TermKey *tk);

Link with -ltermkey.

DESCRIPTION
termkey_set_waittime() sets the number of milliseconds that termkey_waitkey(3) will wait for the remaining bytes of a multibyte sequence if it detects the start of a partially-complete one.

termkey_get_waittime() returns the value set by the last call to termkey_set_waittime(), or the default value if a different has not been set.

RETURN VALUE
termkey_set_waittime() returns no value. termkey_get_waittime() returns the current wait time in milliseconds.

SEE ALSO
termkey_getkey(3), termkey_waitkey(3), termkey(7)